<?php
namespace Zeedhi\ZhuLog\Logger\Persistence;

interface PersistenceInterface {

    /**
     * logRequest
     *
     * @param  string $method           Request method
     * @param  string $route            Request route
     * @param  string $requestType      Request type
     * @param  string $content          Request data
     * @param  string $userId           User associated data
     * @param  string $organizationId   User associated data
     * @param  string $productId        User associated data
     * @param  string $containerName    Context associetad data
     * @param  string $widgetName       Context associetad data
     */
    public function logRequest($method, $route, $requestType, $userId, $organizationId, $productId, $containeName, $widgetName, $content);

    /**
     * logResponse
     *
     * @param  string $httpResponseCode
     * @param  string $content          Response
     */
    public function logResponse($httpResponseCode, $content);
}